/* ------------------------------------------------------------------------- */
/* TABLE OF CONTENTS:                                                        */
/* ------------------------------------------------------------------------- 
  1.  Variables & Document Setup
  2.  Fonts & Copy Text Elements
  3.  Header & Menu
  4.  Footer
  5.  Body Templates
  6.  Welcome (page-id-8)
  7.  Contact Us (page-id-17)
  8. Fixtures (page-id-21)
  9. Club News (blog)
/* -------------------------------------------------------------------------- */


/* -------------------------------------------------------------------------- */
/*  1. Variables & Document Setup
/* -------------------------------------------------------------------------- */
:root {
    /*--primary-nav--font-family: 'Open Sans', sans-serif !important;*/
    --primary-color: #0A9841; /*Green*/
	--secondary-color: #0000AB; /*Blue*/
	--supporting-1-color: #C8880E; /*Yellow*/
	--supporting-2-color: #707070; /*Mid grey*/
	--supporting-3-color: #3E3E3E; /*Dark grey*/
	--suppporting-4-color: #0D6A32; /*Light green*/
	--text-color: #232323;
	--text-alt-color: #FFFFFF; 
	--body-margin: 4rem;
	--image-border: 0.3rem ridge var(--supporting-1-color);
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

/* -------------------------------------------------------------------------- */
/*  2.  Fonts & Copy Text Elements
/* -------------------------------------------------------------------------- */
h1.wp-block-post-title, h1.wp-block-heading {
	position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

/* -------------------------------------------------------------------------- */
/*  3.  Header & Menu
/* -------------------------------------------------------------------------- */
header {
	border-bottom: 0.5rem solid var(--primary-color);
}

header:after {
	display: block;
	content: "";
	width: 100%;
	height: 0.4rem;
	background: var(--secondary-color)
}

.wp-block-navigation-item__content[aria-current="page"] {
	text-decoration: underline;
	font-weight: bold;
}

/* -------------------------------------------------------------------------- */
/*  4.  Footer
/* -------------------------------------------------------------------------- */
footer {
	background-color: var(--primary-color);
	border-top: 0.5rem solid var(--primary-color);
	margin-top: var(--body-margin);
}

footer:before {
	display: block;
	content: "";
	width: 100%;
	height: 0.4rem;
	background: var(--secondary-color)
}

footer .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content,
footer .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:hover, 
footer .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:focus, 
footer .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:active {
	color: var(--text-alt-color);
	display: flex;
    align-items: center;
}

footer .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:before {
	display: inline-block;
    content: "";
    height: 18px;
    width: 18px;
    background: url(https://hounslowbowls.uk/wp-content/uploads/2025/10/phone-svgrepo-com.svg) no-repeat center top;
    background-size: 100%;
    margin-right: 10px;
}

footer .wp-block-navigation + .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:before {
    background: url(https://hounslowbowls.uk/wp-content/uploads/2025/10/email-svgrepo-com.svg) no-repeat center top;
	background-size: 100%;
	height: 14px;
}

footer .wp-block-navigation + .wp-block-navigation .wp-block-navigation-item + .wp-block-navigation-item .wp-block-navigation-item__content.wp-block-navigation-item__content:before  {
    background: url(https://hounslowbowls.uk/wp-content/uploads/2025/10/location-svgrepo-com.svg) no-repeat center top;
	background-size: 100%;
	height: 24px;
}

/* -------------------------------------------------------------------------- */
/*  5.  Body Templates
/* -------------------------------------------------------------------------- */
main.wp-block-group.has-global-padding.is-layout-constrained.wp-block-group-is-layout-constrained {
	margin-top: 0 !important;
}

.title-image {
	border-bottom: 0.5rem solid var(--primary-color);
	margin-bottom: var(--body-margin);
	margin-top: 0;
}

.title-image:after {
	display: block;
	content: "";
	width: 100%;
	height: 0.4rem;
	background: var(--secondary-color)
}


.title-image h2 {
	text-shadow: 0px 3px 6px #0E5128;
	font-weight: bold;
}


/* -------------------------------------------------------------------------- */
/*  6.  Welcome (page-id-8)
/* -------------------------------------------------------------------------- */
.page-id-8 .contact-us-col-1 p {
	text-align: right;
}

.swiper-slide {
	border: var(--image-border);
}

/* -------------------------------------------------------------------------- */
/*  7.  Contact Us (page-id-17)
/* -------------------------------------------------------------------------- */
iframe {
	display: block;
	border: var(--image-border);
	margin-top: var(--body-margin) !important;
}

.contact-us-col-1 p a:before, .contact-us-col-2 p a:before {
	display: inline-block;
    content: "";
    height: 18px;
    width: 18px;
    background: url(https://hounslowbowls.uk/wp-content/uploads/2025/10/contact-us-phone.svg) no-repeat center top;
    background-size: 100%;
    margin-right: 10px;
}

.contact-us-col-2 p a:before {
    background: url(https://hounslowbowls.uk/wp-content/uploads/2025/10/contact-us-email.svg) no-repeat center top;
	background-size: 100%;
	height: 14px;
}

.contact-us-col-2 p.address-paragraph a:before {
    background: url(https://hounslowbowls.uk/wp-content/uploads/2025/10/contact-us-location.svg) no-repeat center top;
	background-size: 100%;
	height: 24px;
}

/* -------------------------------------------------------------------------- */
/*  8.  Fixtures (page-id-21)
/* -------------------------------------------------------------------------- */
summary {
    font-size: var(--wp--preset--font-size--large);
	color: var(--wp--preset--color--accent-2);
    font-style: normal;
    font-weight: 600;
    letter-spacing: -0.1px;
    line-height: 1.125;
}

/* -------------------------------------------------------------------------- */
/*  9.  Club News (blog)
/* -------------------------------------------------------------------------- */
.blog .wp-block-post-date {
	border-bottom: 1px solid #CCCCCC;
	padding-bottom: 1.5rem;
}

.blog .wp-block-media-text__media {
	border: var(--image-border); 
	max-height: 22rem;
	max-width: 22rem;
	overflow: hidden;
}

.single-post img:not(.custom-logo) {
	border: var(--image-border); 
}

.single-post h1.wp-block-post-title {
	position: unset;
    width: auto;
    height: auto;
    padding: 0;
    margin: 0;
    overflow: unset;
    clip: none;
    border: unset;
}
